LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Included Services | Exported Interfaces | Public Attributes | List of all members
ChartTwoAxisYSupplier Service Referencepublished

a helper service for chart documents which supply primary and secondary y-axes. More...

`import"ChartTwoAxisYSupplier.idl";`

Inheritance diagram for ChartTwoAxisYSupplier:

## Included Services
service | com::sun::star::chart::ChartAxisYSupplier

## Exported Interfaces
interface | com::sun::star::chart::XTwoAxisYSupplier
| offers access to the axis object More...
Exported Interfaces inherited from ChartAxisYSupplier
interface | com::sun::star::chart::XAxisYSupplier
| offers access to the axis object, the title, and the grids More...

## Public Attributes
boolean | HasSecondaryYAxis
| determines if the secondary y-axis is shown or hidden. More...
boolean | HasSecondaryYAxisDescription
| determines for the secondary y-axis if the labels at the tick marks are shown or hidden. More...
boolean | HasSecondaryYAxisTitle
| determines if the title of the secondary y-axis is shown or hidden. More...
Public Attributes inherited from ChartAxisYSupplier
boolean | HasYAxis
| Determines if the y-axis is shown or hidden. More...
boolean | HasYAxisDescription
| Determines if the description of the y-axis is shown or hidden. More...
boolean | HasYAxisGrid
| Determines if the major grid of the y-axis is shown or hidden. More...
boolean | HasYAxisHelpGrid
| Determines if the minor grid of the y-axis is shown or hidden. More...
boolean | HasYAxisTitle
| Determines if the title of the y-axis is shown or hidden. More...

## Additional Inherited Members
Public Member Functions inherited from XTwoAxisYSupplier
com::sun::star::beans::XPropertySet | getSecondaryYAxis ()
Public Member Functions inherited from XAxisYSupplier
com::sun::star::drawing::XShape | getYAxisTitle ()
com::sun::star::beans::XPropertySet | getYAxis ()
com::sun::star::beans::XPropertySet | getYHelpGrid ()
com::sun::star::beans::XPropertySet | getYMainGrid ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

a helper service for chart documents which supply primary and secondary y-axes.

## Exported Interfaces

service com::sun::star::chart::ChartAxisYSupplier

## Exported Interfaces

interface com::sun::star::chart::XTwoAxisYSupplier

offers access to the axis object

## Member Data Documentation

boolean HasSecondaryYAxis
| property

determines if the secondary y-axis is shown or hidden.

See also
  ChartAxis

boolean HasSecondaryYAxisDescription
| property

determines for the secondary y-axis if the labels at the tick marks are shown or hidden.

boolean HasSecondaryYAxisTitle
| optional property

determines if the title of the secondary y-axis is shown or hidden.

See also
  ChartTitle

Since
  OOo 3.0

The documentation for this service was generated from the following file:

- com/sun/star/chart/ChartTwoAxisYSupplier.idl